<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns="http://www.w3.org/2002/xforms" 
                xmlns:xform="http://www.w3.org/2002/xforms" 
                xmlns:art="http://www.intevation.de/2009/artifacts">
    <xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no"/>
    
    <xsl:template match="*[local-name() = 'select']">
        <xsl:variable name="selectName" select="@ref"/>
             <div id="timeseriesfilter">
                <form id="{$selectName}Form" method="post">
                   <fieldset>
                    <legend><xsl:value-of select="*[local-name() = 'label']"/></legend>
                    <select name="{$selectName}" multiple="multiple" size="6" disabled="disabled"> <xsl:apply-templates/></select>
                    </fieldset>
                </form>
             </div> 
    </xsl:template>
    <xsl:template match="*[local-name() = 'select1']">
        <xsl:variable name="selectName" select="@ref"/>
            <div id="timeseriesfilter">
                <form id="{$selectName}Form" method="post">
                   <fieldset>
                    <legend><xsl:value-of select="*[local-name() = 'label']"/></legend>
                    <select name="{$selectName}" disabled="disabled"> <xsl:apply-templates/></select>
                    </fieldset>
                </form>
             </div>
    </xsl:template>
    
    <xsl:template match="*[local-name() = 'item']">
        <xsl:variable name="optionValue" select="*[local-name() = 'value']"/>
        <xsl:choose>
           <xsl:when test="@selected = 'true'">
               <option value="{$optionValue}" selected="selected"><xsl:value-of select="*[local-name() = 'label']"></xsl:value-of></option>
           </xsl:when>
           <xsl:otherwise>
               <option value="{$optionValue}"><xsl:value-of select="*[local-name() = 'label']"></xsl:value-of></option>
           </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template match="*[local-name() = 'group']">
        <xsl:variable name="inputName" select="*[local-name() = 'label']"/>
         <div id="timeseriesfilter">
            <form id="{$inputName}Form" method="post">
            <fieldset>
                <legend><xsl:value-of select="*[local-name() = 'label']"/></legend>
                <xsl:apply-templates/>
            </fieldset>
            </form>
        </div>
    </xsl:template>
    
    <xsl:template match="*[local-name() = 'input']">
        <xsl:variable name="inputValue" select="*[local-name() = 'value']"/>
        <xsl:variable name="inputName" select="*[local-name() = 'label']"/>
        <xsl:choose>
           <xsl:when test="*[local-name() = 'label']!= ''">
               <xsl:value-of select="*[local-name() = 'label']"/>: 
           </xsl:when>
        </xsl:choose>
        <input type="text" id="{$inputName}" name="{$inputName}" value="{$inputValue}" disabled="disabled"/><br/> 
    </xsl:template>
    
    <xsl:template match="*[local-name() = 'label']">
    </xsl:template>
</xsl:stylesheet>